# Generated by Django 2.1.1 on 2018-11-20 14:26

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='AllowanceMaster',
            fields=[
                ('allowance_master_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('discount_percent', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=4)),
                ('discount_amount', models.IntegerField(blank=True, default=0)),
            ],
        ),
        migrations.CreateModel(
            name='BrandMaster',
            fields=[
                ('brand_code', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('brand_name', models.CharField(blank=True, max_length=150, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_brand', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='modified_by_brand', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='CashDiscountSchemeMaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_by_cash_discount', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='CashDiscountSlabsMaster',
            fields=[
                ('cash_discount_slabs_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('cd1', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('days_1', models.IntegerField(default=0)),
                ('cd2', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('days_2', models.IntegerField(default=0)),
                ('cd3', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('days_3', models.IntegerField(default=0)),
                ('cd4', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('days_4', models.IntegerField(default=0)),
                ('slab_code', models.CharField(blank=True, max_length=50, null=True)),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='CityMaster',
            fields=[
                ('city_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('city_code', models.CharField(max_length=15)),
                ('city_name', models.CharField(max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='CityStateRegionMaster',
            fields=[
                ('region_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(blank=True, max_length=150, null=True)),
                ('parent', models.IntegerField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='region_created_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='region_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='CreditNoteTypeMaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('note_type_code', models.CharField(max_length=10)),
                ('note_type_name', models.CharField(max_length=60)),
                ('description', models.CharField(max_length=1000)),
                ('is_active', models.BooleanField(default=True)),
            ],
        ),
        migrations.CreateModel(
            name='DealerBusinessMaster',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('min_order_amount', models.DecimalField(blank=True, decimal_places=2, max_digits=20)),
                ('max_outstanding_threshold', models.DecimalField(blank=True, decimal_places=2, max_digits=20)),
                ('credit_days', models.IntegerField(blank=True, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('brand', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='brand_name_from_master', to='IndospritCore.BrandMaster')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_business_master_created_by_dealer_master', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_business_by_master', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_business_master_modified_by_dealer_master', to=settings.AUTH_USER_MODEL)),
                ('slab', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slab_by_DB', to='IndospritCore.CashDiscountSlabsMaster')),
            ],
        ),
        migrations.CreateModel(
            name='DealerSalesTarget',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('monthly_target', models.DecimalField(decimal_places=2, max_digits=20, null=True)),
                ('brand', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='brand_name_by_dealer', to='IndospritCore.BrandMaster')),
            ],
        ),
        migrations.CreateModel(
            name='DealersBrand',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('brand', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='brand_name_from_dealer', to='IndospritCore.BrandMaster')),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='user_modified_from_dealer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='DocumentTypeMaster',
            fields=[
                ('document_type_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('document_name', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='ProductCategoryMaster',
            fields=[
                ('category_id', models.AutoField(primary_key=True, serialize=False)),
                ('category_name', models.CharField(max_length=150)),
                ('is_active', models.BooleanField(default=True)),
                ('path', models.CharField(max_length=500)),
                ('parent', models.IntegerField(blank=True, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('brand', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_category_created_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_category_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ProductMaster',
            fields=[
                ('product_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('sku_code', models.CharField(max_length=60)),
                ('product_short_name', models.CharField(max_length=60)),
                ('size_capacity', models.CharField(max_length=50)),
                ('size_capacity_unit', models.CharField(max_length=25)),
                ('pattern_color', models.CharField(blank=True, max_length=150, null=True)),
                ('product_description_feature', models.CharField(blank=True, max_length=1000, null=True)),
                ('best_buying_price', models.DecimalField(decimal_places=2, max_digits=15)),
                ('dealer_price', models.DecimalField(decimal_places=2, max_digits=15, null=True)),
                ('max_retail_price', models.DecimalField(decimal_places=2, max_digits=15)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='ProductPriceHistory',
            fields=[
                ('product_history_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('gst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('sgst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('cgst_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('other_tax_rate', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('best_buying_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('dealer_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('max_retail_price', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_history_created_by_product_master', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_history_modified_by_product_master', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_id_from_product_price', to='IndospritCore.ProductMaster')),
            ],
        ),
        migrations.CreateModel(
            name='SchemeCategoryMaster',
            fields=[
                ('scheme_category_code', models.CharField(max_length=10, primary_key=True, serialize=False)),
                ('scheme_category_name', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='SchemeMaster',
            fields=[
                ('scheme_master_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('state', models.CharField(blank=True, max_length=40, null=True)),
                ('city', models.CharField(blank=True, max_length=40, null=True)),
                ('product', models.CharField(max_length=10)),
                ('discount_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('discount_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('scheme_start_date', models.DateTimeField()),
                ('scheme_end_date', models.DateTimeField()),
                ('scheme_name', models.CharField(max_length=250)),
                ('scheme_code', models.CharField(max_length=250)),
            ],
        ),
        migrations.CreateModel(
            name='SchemeProductMaster',
            fields=[
                ('scheme_product_master_id', models.IntegerField(blank=True, null=True)),
                ('scheme_category', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_short_name_by_scheme', to='IndospritCore.ProductMaster')),
            ],
        ),
        migrations.CreateModel(
            name='SchemeSellThroughMaster',
            fields=[
                ('master_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('discount_percent', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('discount_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('scheme_start_date', models.DateTimeField()),
                ('scheme_end_date', models.DateTimeField()),
                ('scheme_name', models.CharField(max_length=250, null=True)),
                ('scheme_code', models.CharField(max_length=100, null=True)),
                ('brand', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
                ('city_code', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='city_by_sell_thru', to='IndospritCore.CityMaster')),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_id_from_product_master', to='IndospritCore.ProductMaster')),
            ],
        ),
        migrations.CreateModel(
            name='StateMaster',
            fields=[
                ('state_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('state_name', models.CharField(max_length=30)),
                ('state_code', models.CharField(max_length=15)),
            ],
        ),
        migrations.CreateModel(
            name='StockLevelMaster',
            fields=[
                ('stock_level_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('min_stock_level', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('is_active', models.BooleanField(default=True)),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_from_stock_master', to='IndospritCore.ProductMaster')),
            ],
        ),
        migrations.CreateModel(
            name='StockRegister',
            fields=[
                ('stock_register_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('stock_in', models.DecimalField(blank=True, decimal_places=2, max_digits=15)),
                ('stock_out', models.DecimalField(blank=True, decimal_places=2, max_digits=4)),
                ('reference', models.CharField(max_length=100)),
                ('stock_type', models.CharField(max_length=100)),
                ('remarks', models.CharField(max_length=500)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='stock_register_created_from_stock', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='stock_register_modified_from_stock', to=settings.AUTH_USER_MODEL)),
                ('product', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_name_from_stock', to='IndospritCore.ProductMaster')),
            ],
        ),
        migrations.CreateModel(
            name='TaxSlabMaster',
            fields=[
                ('tax_slab_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('gst_rate', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('igst_rate', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('sgst_rate', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('cgst_rate', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('other_tax_rate', models.DecimalField(decimal_places=2, default=0, max_digits=4)),
                ('slab_name', models.CharField(max_length=150)),
            ],
        ),
        migrations.CreateModel(
            name='TieUpMaster',
            fields=[
                ('tie_up_master_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('discount_percent', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=10)),
                ('discount_amount', models.IntegerField(blank=True, default=0, null=True)),
                ('brand', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster')),
                ('dealer', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='stock_register_modified_by_tie_up', to=settings.AUTH_USER_MODEL)),
                ('scheme_category_code', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='sch_category_by_tie_up', to='IndospritCore.SchemeCategoryMaster')),
            ],
        ),
        migrations.CreateModel(
            name='WarehouseAdmin',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_active', models.BooleanField(default=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_admin_created_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_admin_modified_by', to=settings.AUTH_USER_MODEL)),
                ('user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_user', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='WarehouseMaster',
            fields=[
                ('warehouse_code', models.CharField(max_length=60, primary_key=True, serialize=False)),
                ('warehouse_name', models.CharField(blank=True, max_length=25, null=True)),
                ('address_line1', models.CharField(blank=True, max_length=250, null=True)),
                ('address_line2', models.CharField(blank=True, max_length=250, null=True)),
                ('state', models.CharField(blank=True, max_length=40, null=True)),
                ('city', models.CharField(blank=True, max_length=40, null=True)),
                ('pin_code', models.CharField(blank=True, max_length=8, null=True)),
                ('contact_number', models.CharField(blank=True, max_length=25, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('modified_on', models.DateTimeField(auto_now=True)),
                ('created_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_created_by', to=settings.AUTH_USER_MODEL)),
                ('modified_by', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_modified_by', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='warehouseadmin',
            name='warehouse',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_by_admin', to='IndospritCore.WarehouseMaster'),
        ),
        migrations.AddField(
            model_name='stockregister',
            name='warehouse',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_from_stock', to='IndospritCore.WarehouseMaster'),
        ),
        migrations.AddField(
            model_name='stocklevelmaster',
            name='warehouse',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='warehouse_name_from_stock_master', to='IndospritCore.WarehouseMaster'),
        ),
        migrations.AddField(
            model_name='schemesellthroughmaster',
            name='state_code',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='state_by_sell_thru', to='IndospritCore.StateMaster'),
        ),
        migrations.AddField(
            model_name='productmaster',
            name='TaxSlabCode',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='TaxSlab_Code_from_product_master', to='IndospritCore.TaxSlabMaster'),
        ),
        migrations.AddField(
            model_name='productmaster',
            name='brand',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='brand_name_from_product_master', to='IndospritCore.BrandMaster'),
        ),
        migrations.AddField(
            model_name='productmaster',
            name='created_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_created_by_from_product_master', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='productmaster',
            name='modified_by',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='product_modified_by_from_product_master', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='productmaster',
            name='product_category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='category_name_from_product_master', to='IndospritCore.ProductCategoryMaster'),
        ),
        migrations.AddField(
            model_name='dealersalestarget',
            name='category',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='category_name_by_dealer', to='IndospritCore.ProductCategoryMaster'),
        ),
        migrations.AddField(
            model_name='dealersalestarget',
            name='dealer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='dealer_sales_modified_by_dealer', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='citymaster',
            name='state_id',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='city_by_state', to='IndospritCore.StateMaster'),
        ),
        migrations.AddField(
            model_name='cashdiscountschememaster',
            name='slab',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='slab_by_master', to='IndospritCore.CashDiscountSlabsMaster'),
        ),
        migrations.AddField(
            model_name='brandmaster',
            name='primary_warehouse',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='primary_warehouse_by_brand', to='IndospritCore.WarehouseMaster'),
        ),
        migrations.AddField(
            model_name='allowancemaster',
            name='brand',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='IndospritCore.BrandMaster'),
        ),
        migrations.AddField(
            model_name='allowancemaster',
            name='dealer',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='stock_register_modified_by_allowance', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='allowancemaster',
            name='scheme_category_code',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='sch_category_by_allowance', to='IndospritCore.SchemeCategoryMaster'),
        ),
    ]
